### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata

# Interface LocationInterface

All Superinterfaces:
  `MetadataInterface`, `PublicObjectInterface`, `Remote`

@SASScope("ALL") @BinaryCompatibilityOnly public interface LocationInterface extends MetadataInterface

- ## Field Summary

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAddress()`
  Get the address string.
  `String`
  `getArea()`
  Get the area String for this location.
  `String`
  `getCity()`
  Get the city name.
  `String`
  `getCountry()`
  Get the country name or abbreviation for this location.
  `String`
  `getLocationType()`
  Get the location type String.
  `String`
  `getPostalCode()`
  Get the postal code for this location.
  `void`
  `setAddress(String address)`
  Set the address string.
  `void`
  `setArea(String area)`
  Set the area string for this location.
  `void`
  `setCity(String city)`
  Set the city name for this location.
  `void`
  `setCountry(String country)`
  Set the country name or abbreviation for this location.
  `void`
  `setLocationType(String type)`
  Set the location type.
  `void`
  `setPostalCode(String postalCode)`
  Set the postal code for this location.

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

- ## Method Details

  - ### getLocationType

    String getLocationType() throws ServiceException, RemoteException
    Get the location type String.
    Returns:
      The location type.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setLocationType

    void setLocationType(String type) throws ServiceException, RemoteException
    Set the location type.
    Parameters:
      `type` - The location type.
    Throws:
      `ServiceException` - If a metadata server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getAddress

    String getAddress() throws ServiceException, RemoteException
    Get the address string.
    Returns:
      The address String.
    Throws:
      `ServiceException` - If a metadata server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setAddress

    void setAddress(String address) throws ServiceException, RemoteException
    Set the address string.
    Parameters:
      `address` - The address string.
    Throws:
      `ServiceException` - If a metadata server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getCity

    String getCity() throws ServiceException, RemoteException
    Get the city name.
    Returns:
      The String with the city name for this location.
    Throws:
      `ServiceException` - If a metadata server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setCity

    void setCity(String city) throws ServiceException, RemoteException
    Set the city name for this location.
    Parameters:
      `city` - The city name.
    Throws:
      `ServiceException` - If a metadata server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getPostalCode

    String getPostalCode() throws ServiceException, RemoteException
    Get the postal code for this location.
    Returns:
      The postal code.
    Throws:
      `ServiceException` - If a metadata server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setPostalCode

    void setPostalCode(String postalCode) throws ServiceException, RemoteException
    Set the postal code for this location.
    Parameters:
      `postalCode` - The postal code.
    Throws:
      `ServiceException` - If a metadata server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getArea

    String getArea() throws ServiceException, RemoteException
    Get the area String for this location.
    Returns:
      The area string.
    Throws:
      `ServiceException` - If a metadata server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setArea

    void setArea(String area) throws ServiceException, RemoteException
    Set the area string for this location.
    Parameters:
      `area` - The area string.
    Throws:
      `ServiceException` - If a metadata server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getCountry

    String getCountry() throws ServiceException, RemoteException
    Get the country name or abbreviation for this location.
    Returns:
      THe country.
    Throws:
      `ServiceException` - If a metadata server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setCountry

    void setCountry(String country) throws ServiceException, RemoteException
    Set the country name or abbreviation for this location.
    Parameters:
      `country` - THe country.
    Throws:
      `ServiceException` - If a metadata server error occurs.
      `RemoteException` - In the event of remote object failure.